Skip to main content
`Ctrl`+`K`

# VecFlag

set infinity into the local part of the vector on any subset of MPI processes

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecFlag(Vec xin, PetscInt flg)

Logically Collective

## Input Parameters

- xin - the vector, can be `NULL` but only if on all processes

- flg - indicates if this processes portion of the vector should be set to infinity

## Note

This removes the values from the vector norm cache for all processes by calling `PetscObjectIncrease()`.

This is used for any subset of MPI processes to indicate an failure in a solver, after the next use of `VecNorm()` if `KSPCheckNorm()` detects an infinity and at least one of the MPI processes has a not converged reason then the `KSP` object collectively is labeled as not converged.

## See Also

Vectors and Parallel Data, `Vec`, `PetscLayout`, `VecGetLayout()`, `VecGetSize()`, `VecGetOwnershipRange()`, `VecGetOwnershipRanges()`

## Level

developer

## Location

src/vec/vec/interface/vector.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages